package sgc.portal.cs.cs0601.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0601.dto.CS06010001USearch;
import sgc.portal.cs.cs0601.persistence.CS06010001UMapper;

import java.util.List;

@Service
public class CS06010001UService {
    private final CS06010001UMapper mapper;

    public CS06010001UService(CS06010001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CS06010001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CS06010001USearch search) {
        return mapper.getList2(search);
    }

    
}
